Subject: bug#46990: 28.0.50; popup menu not navigable via arrow keys on lucid build

From: Eli Zaretskii <[email-masked]>
Date: Thu, 11 Mar 2021 07:07:07 +0200

> Date: Wed, 10 Mar 2021 23:34:46 +0000
> From: Gregory Heytings <[email-masked]>
> cc: [email-masked]
> 
> > No need to be sorry: your assumption was correct.  Emacs should 
> > generally work the same when you run it uninstalled.  It is strange that 
> > it doesn't in this case.
> 
> It seems that what Colin describes is an old (and indeed strange) 
> behavior.  I just tried (on Debian GNU/Linux) various revisions of the 
> trunk (up to 5b464a9cea from three years ago), and with 
> --with-x-toolkit=lucid the menu cannot be navigated with arrow keys with 
> an uninstalled emacs, and can be navigated with an installed one.

Thanks.  This means there's no need to delay the release of Emacs
27.2.  I'd still like to understand why the different behavior, but
what you say means bisection is not an effective means of finding the
culprit; instead, we should debug this as with any other bug.